#!/bin/sh
#******************************************************************************
#
# Summary : This shell script start synch towards NTP server. 
#
#
#******************************************************************************
#
#******************************************************************************
#
# File history:
#  2008-09-13/Laith : File created
#
#******************************************************************************
#
case "$1" in
  start)
	echo 'Start ntpdate'
  if [ -f /usr/sbin/ntpdate ] ; then
    if [ -f /etc/ntpserver ] ; then
      ntpServerAdr=`more /etc/ntpserver`
    else
      ntpServerAdr="dk.pool.ntp.org"
    fi
    
		/usr/sbin/ntpdate $ntpServerAdr &
	  echo "done."
  else
    echo "not done."
    echo "\n ntpdate software is missing."
  fi
	;;
  stop)
	echo -n 'Stop ntpdate'
  killall ntpdate
	echo "done."
	;;
  restart)
	$0 stop
	$0 start
	;;
   *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
	;;
esac

exit 0 